declare type Animation = {
    in?: string;
    out?: string;
    duration?: number;
    timingFunction?: string;
};
export declare type Config = {
    message?: string;
    type?: string;
    position?: string;
    autoClose?: number;
    delay?: number;
    render?: any;
    onlyLast?: boolean;
    width?: string;
    animation?: Animation;
};
declare type EventArg = {
    id: number;
    callback: () => void;
};
export declare const eventManager: {
    ids: EventArg[];
    add: (id: number, callback: () => void) => void;
    remove: (id?: number | undefined) => void;
};
declare const notifier: {
    (cfg?: Config | undefined): number;
    success(message: string): number;
    error(message: string): number;
    configure(cfg: Config): void;
    dismiss(id?: number | undefined): void;
};
export default notifier;
